$ErrorActionPreference = 'Stop';

$packageName= 'vivaldi'

$packageArgs = @{
    packageName    = $packageName
    fileType       = 'exe'

    url            = 'https://downloads.vivaldi.com/snapshot-auto/Vivaldi.4.4.2482.13.exe'
    silentArgs     = '--vivaldi-install-dir=$($env:ProgramFiles)\Vivaldi --vivaldi-silent --do-not-launch-chrome --vivaldi-update --system-level'
    
    checksum       = '6D9ED2951156DD66EF38857D1231946C4B8A19AD38B7F7F3703D259CDAB1355C'
    checksumType   = 'sha256'
    url64bit       = 'https://downloads.vivaldi.com/snapshot-auto/Vivaldi.4.4.2482.13.x64.exe'
    checksum64     = 'DC05A2A7578EF5856C6569C6F014DEB126F799EDDDFA5B50AA10DCD5B7A0F142'
    checksumType64 = 'sha256'
}

Install-ChocolateyPackage @packageArgs
